Package wx :: Module richtext :: Class RichTextEvent

[frames | no frames]

## Type RichTextEvent

    object --+
             |
        Object --+
                 |
             Event --+
                     |
          CommandEvent --+
                         |
               NotifyEvent --+
                             |
                            RichTextEvent

Proxy of C++ RichTextEvent class

Method Summary
NotifyEvent | ``__init__`(self, commandType, winid)` An instance of this class (or one of its derived classes) is sent from a control when the control's state is being changed and the control allows that change to be prevented from happening.
wxChar | `GetCharacter(self)`
int | `GetFlags(self)`
wxRichTextStyleSheet | `GetNewStyleSheet(self)`
wxRichTextStyleSheet | `GetOldStyleSheet(self)`
int | `GetPosition(self)`
RichTextRange | `GetRange(self)`
| `SetCharacter(self, ch)`
| `SetFlags(self, flags)`
| `SetNewStyleSheet(self, sheet)`
| `SetOldStyleSheet(self, sheet)`
| `SetPosition(self, n)`
| `SetRange(self, range)`

Property Summary
| `Character`: GetCharacter(self) -> wxChar
| `Flags`: GetFlags(self) -> int
| `Index`: GetPosition(self) -> int
| `NewStyleSheet`: GetNewStyleSheet(self) -> wxRichTextStyleSheet
| `OldStyleSheet`: GetOldStyleSheet(self) -> wxRichTextStyleSheet
| `Range`: GetRange(self) -> RichTextRange
| `thisown`: The membership flag

Method Details

### __init__(self, commandType=wxEVT_NULL, winid=0)
(Constructor)

An instance of this class (or one of its derived classes) is sent from a control when the control's state is being changed and the control allows that change to be prevented from happening. The event handler can call `Veto` or `Allow` to tell the control what to do.

  Parameters:
    `commandType`
    (type=EventType)

    `winid`
    (type=int)

  Returns:
    NotifyEvent
  Overrides:
    `wx.NotifyEvent.__init__` (inherited documentation)

Property Details

### Character

GetCharacter(self) -> wxChar

  Get Method:
    `GetCharacter`(self)
  Set Method:
    `SetCharacter`(self, ch)

### Flags

GetFlags(self) -> int

  Get Method:
    `GetFlags`(self)
  Set Method:
    `SetFlags`(self, flags)

### Index

GetPosition(self) -> int

  Get Method:
    `GetPosition`(self)
  Set Method:
    `SetPosition`(self, n)

### NewStyleSheet

GetNewStyleSheet(self) -> wxRichTextStyleSheet

  Get Method:
    `GetNewStyleSheet`(self)
  Set Method:
    `SetNewStyleSheet`(self, sheet)

### OldStyleSheet

GetOldStyleSheet(self) -> wxRichTextStyleSheet

  Get Method:
    `GetOldStyleSheet`(self)
  Set Method:
    `SetOldStyleSheet`(self, sheet)

### Range

GetRange(self) -> RichTextRange

  Get Method:
    `GetRange`(self)
  Set Method:
    `SetRange`(self, range)

### thisown

The membership flag

  Get Method:
    unknown-43013496(...)
  Set Method:
    unknown-43013616(...)

Generated by Epydoc 2.1.20050511.rpd on Wed Sep 26 13:46:33 2007 | http://epydoc.sf.net